require( "scripts/common/animated_object.lua" );

charactereating = animated_object:new{
}

function charactereating:new(o)
	o = o or {}   -- create object if user does not provide one
	setmetatable(o, self)
	self.__index = self
	return o
end
